Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 1 Aug 2024 11:41:49 -0300

On Wed, Jul 31, 2024 at 08:33:36AM -0400, James Bottomley wrote:

> For the specific issue of discussing fwctl, the Plumbers session would
> be better because it can likely gather all interested parties.

Keep in mind fwctl is already at the end of a long journey of
conference discussions and talks spanning 3 years back now. It now
represents the generalized consensus between multiple driver
maintainers for at least one side of the debate.

There was also a fwctl presentation at netdev conf a few weeks ago.

In as far as the cross-subsystem NAK, I don't expect more discussion
to result in any change to people's opinions. RDMA side will continue
to want access to the shared device FW, and netdev side will continue
to want to deny access to the shared device FW.

Jason